package cn.superdesk.uniorder.service.accounting.unified.customer;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.accounting.unified.customer.AccountingUnifiedCustomerOrder;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-01-06 17:46:38
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-01-06 17:46:38
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface AccountingUnifiedCustomerOrderService extends BaseService<AccountingUnifiedCustomerOrder> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(AccountingUnifiedCustomerOrder entity);

    int updateByPrimaryKeySelective(AccountingUnifiedCustomerOrder entity);

	@Deprecated
	void deleteObj(Long id);

	void deleteByAccountingOrderIdAndOrderSn(Long accountingOrderId, String orderSn);

	@Deprecated
	AccountingUnifiedCustomerOrder findById(Long id);

	AccountingUnifiedCustomerOrder findByByAccountingOrderIdAndOrderSn(Long accountingOrderId, String orderSn);

	@Deprecated
	PageInfo<AccountingUnifiedCustomerOrder> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<AccountingUnifiedCustomerOrder> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addAccountingUnifiedCustomerOrder(AccountingUnifiedCustomerOrder entity);

	void updateAccountingUnifiedCustomerOrder(AccountingUnifiedCustomerOrder entity);

	void deleteAccountingUnifiedCustomerOrder(Long id);

	AccountingUnifiedCustomerOrder findAccountingUnifiedCustomerOrderById(Long id);

	R<List<AccountingUnifiedCustomerOrder>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);


}